import { NoteKey } from '../Enums/NoteKey';
import { NoteAccidental } from '../Enums/NoteAccidental';
import { Notation } from './Notation.abstract';
import { NotationType } from '../Enums/NotationType';
import { NoteDuration } from '../Enums/NoteDuration';
export declare class Note extends Notation {
    protected key: NoteKey;
    protected duration: NoteDuration;
    protected accidental: NoteAccidental;
    hasTie: boolean;
    protected lastString: string;
    lyrics: string;
    ntype: NotationType;
    constructor(key?: NoteKey, duration?: NoteDuration, accidental?: NoteAccidental, hasTie?: boolean, lastString?: string, lyrics?: string);
    toAbcString(): string;
    toJSON(): {
        ntype: NotationType;
        state: (string | boolean)[];
    };
    pitchUp(): void;
    pitchDown(): void;
    setEndSpacing(): void;
    /**
     * 设置延音线符号
     */
    setHasTieIs(ishas: boolean): void;
    /**
     * 添加符号：升降，重升/降，自然
     */
    setAccidential(accidentalType: NoteAccidental): void;
}
